<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}
if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
	
if (!empty($cantidad))
{	

	$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
	$atri1 = mysqli_fetch_array($atri1);
	$atributo1=$atri1['atributo1'];

	$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
	$atri11 = mysqli_fetch_array($atri11);
	if (isset($atri11)) 
    {                    
		$atri_nombre=$atri11['atri_nombre'];
	}
	else
	{
		$atri_nombre='';
	}

	$atributo2=$atri1['atributo2'];
	$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
	$atri2 = mysqli_fetch_array($atri2);
	if (isset($atri2)) 
    {                    
		$atri_nombre2=' - '.$atri2['atri_nombre2'];
	}
	else
	{
		$atri_nombre2='';
	}

	$atributos=$atri_nombre .$atri_nombre2;

	$sqll=mysqli_query($con,"SELECT * FROM traslado_detalle_temp WHERE art_id_bod='$art_id_bod' and trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'");
    if($roww=mysqli_fetch_array($sqll))
    { 
		$can7=mysqli_query($con,"SELECT * FROM traslado_detalle_temp WHERE art_id_bod='$art_id_bod' and trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
		$dato=mysqli_fetch_array($can7);            
		$trat_cantidad=$dato['trat_cantidad'];
		$suma=$trat_cantidad+$cantidad;
       	$registros=mysqli_query($con,"UPDATE traslado_detalle_temp Set trat_cantidad='$suma',trat_precio='$precio_venta' 
       	Where art_id_bod='$art_id_bod' and trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
    }
    else
    {   
   		$insert_tmp=mysqli_query($con, "INSERT INTO traslado_detalle_temp (art_id_bod,trat_art_id,trat_referencia,trat_nombre,trat_cantidad,trat_precio,usuario,empresa) 
      	VALUES ('$art_id_bod','$art_id','$art_referencia','$nombre $atributos','$cantidad','$precio_venta','$usu_id','$empresa')");
    }
}
?>
<table class="table table-bordered table-hover table-striped">
	<tr>
		<th>CODIGO</th>
		<th>CANTIDAD</th>
		<th>DESCRIPCION</th>
		<th width="10%"></th>
	</tr>
	<?php
		$sumador_total=0;
		$sql=mysqli_query($con, "SELECT * from traslado_detalle_temp where usuario='$usu_id' and empresa='$empresa'");
		while ($row=mysqli_fetch_array($sql))
		{
		$id=$row["trat_id"];
		$trat_id=$row["trat_id"];
		$trat_referencia=$row['trat_referencia'];
		$trat_nombre=$row['trat_nombre'];
		$trat_cantidad=$row['trat_cantidad'];
		$trat_precio=$row['trat_precio'];
		
		$precio_total=$trat_precio*$trat_cantidad;
		$sumador_total+=$trat_precio;//Sumador
		
	?>
	<tr>
		<td width="10%"><?php echo $trat_referencia;?></td>
		<td width="10%"><?php echo $trat_cantidad;?></td>
		<td><?php echo $trat_nombre;?></td>
		<?php  $trat_precio;?>
		<?php  $precio_total;?>
		<td >
			<a data-id="<?php echo $id;?>" class="btn btn-edit btn-xs btn-info"> <i class="btn-icon-only icon-edit"></i></a>
			<a href="#" id="del-<?php echo $row["trat_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
			<script>
			$("#del-"+<?php echo $row["trat_id"];?>).click(function(e){
				e.preventDefault();
				p = confirm("Estas seguro?");
				if(p){
					$.get("./php_traslados/eliminar.php","trat_id="+<?php echo $row["trat_id"];?>,function(data){
						loadTabla();
					});
				}
			});
			</script>
		</td>
	</tr>		
	<?php } ?>
</table>
<script>
$(".btn-edit").click(function(){
	id = $(this).data("id");
	$.get("./php_traslados/form_modificar.php","id="+id,function(data){
		$("#form-edit").html(data);
	});
	$('#editModal').modal('show');
});
</script>
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      	<div class="modal-content">
	        <div class="modal-header">
	          	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	          	<h4 class="modal-title">Actualizar</h4>
	        </div>
        	<div class="modal-body">
        		<div id="form-edit"></div>
        	</div>
      	</div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
 </div><!-- /.modal -->